using System;
using KOEI.WP8_2014;
using KOEI.WP8_2014.Datastruct;

/// <summary>
/// 競走馬の気性を1悪くするWP8_2014ULV拡張スクリプト
/// </summary>
class WP8_2014ULV_Extension {
	public static HRaceData CommandMain( WP8 wp, UInt32 horse_num, HRaceData data ) {
		var abl_data = new HAblData();
		
		wp.HAblTable.GetData( data.abl_num, ref abl_data );
		
		if( abl_data.kisyou > 0 ) {
			abl_data.kisyou -= 1;
		}
		
		wp.HAblTable.SetData( data.abl_num, ref abl_data );
		wp.HAblTable.Commit( data.abl_num );
		
		return data;
	}
}

