using System;
using KOEI.WP8_2014;
using KOEI.WP8_2014.Datastruct;

/// <summary>
/// 競走馬の成長度を+5するWP8_2014ULV拡張スクリプト
/// </summary>
class WP8_2014ULV_Extension {
	public static HRaceData CommandMain( WP8 wp, UInt32 horse_num, HRaceData data ) {
		var max = (uint)( 100 + data.seigen );
		
		if( data.seichou + 5 > max ) {
			data.seichou = max;
		} else {
			data.seichou += 5;
		}
		return data;
	}
}


