using System;
using KOEI.WP8_2014;
using KOEI.WP8_2014.Datastruct;

/// <summary>
///  種牡馬の子出しを1ダウンするWP8_2014ULV拡張スクリプト
/// </summary>
class WP8_2014ULV_Extension {
	public static HSireData CommandMain( WP8 wp, UInt32 horse_num, HSireData data ) {
		var abl_data = new HAblData();
		
		wp.HAblTable.GetData( data.abl_num, ref abl_data );
		
		if( abl_data.kodashi > 0 ) {
			abl_data.kodashi--;
			wp.HAblTable.SetData( data.abl_num, ref abl_data );
			wp.HAblTable.Commit( data.abl_num );
		}
		return data;
	}
}

