using System;
using KOEI.WP8_2014;
using KOEI.WP8_2014.Datastruct;

/// <summary>
/// 競走馬の調子を+5するWP8_2014ULV拡張スクリプト
/// </summary>
class WP8_2014ULV_Extension {
	public static HRaceData CommandMain( WP8 wp, UInt32 horse_num, HRaceData data ) {
		var max = (uint)( data.choushi_status == 3 ? 50 : 45 );
		
		if( data.choushi + 5 > max ) {
			data.choushi = max;
		} else {
			data.choushi += 5;
		}
		return data;
	}
}

