using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WP8_2014ULV.UMAListView.Sorter
{
	/// <summary>
	/// \[gۑp̃NX
	/// </summary>
	public class SortInfo
	{
		/// <summary>
		/// J񂪖ȂƂ\l
		/// </summary>
		public const int NullSortKey = 9999;

		/// <summary>
		/// \[g̐
		/// </summary>
		public const int SortHistNum = 10;

		// ɃNbNꂽJAr[hA\[gI[_[
		private int[] key_;
		private ComparerMode[] mode_;
		private SortOrder[] order_;

		public int[] Key {
			get { return key_; }
		}
		public ComparerMode[] Mode {
			get { return mode_; }
		}
		public SortOrder[] Order {
			get { return order_; }
		}

		/// <summary>
		/// RXgN^
		/// </summary>
		public SortInfo()
		{
			key_ = new int[SortHistNum];
			mode_ = new ComparerMode[SortHistNum];
			order_ = new SortOrder[SortHistNum];

			for( int i=0; i<key_.Length; i++ )
				key_[i] = NullSortKey;
		}

		/// <summary>
		/// \[g炷ikey_[0],mode_[0],order_[0]̒l͕ύXj
		/// </summary>
		public void ShiftSortInfo()
		{
			for ( int i=SortHistNum-1; i>0; i-- )
			{
				key_[i] = key_[i-1];
				mode_[i] = mode_[i-1];
				order_[i] = order_[i-1];
			}
		}

		/// <summary>
		/// J
		/// </summary>
		public void InitSortInfo()
		{
			for( int i=0; i<key_.Length; i++ )
				key_[i] = NullSortKey;
		}
	}
}
