﻿/* libwp7n2012 -- Winning Post 7 2012 Cheat Library

   Copyright (C) 2012 AIPON of author

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Written by AIPON */

using System;

namespace KOEI.WP8_2014
{
	/// <summary>
	/// プロセスメモリ上のデータテーブル(配列)のレコードを扱うクラスのインタフェース
	/// </summary>
	public interface DatastructInterface
	{
		/// <summary>
		///  レコード(UInt32配列)を構造体にエンコードする
		/// </summary>
		/// <param name="record">レコード</param>
		void Encode( UInt32[] record );


		/// <summary>
		/// 構造体をレコード(UInt32配列)にデコードする
		/// </summary>
		/// <returns></returns>
		UInt32[] Decode();
	}
}
