﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KOEI.WP8_2014.Horse.Breeding.Enums
{
	/// <summary>
	/// ラインブリード配合理論
	/// </summary>
	public enum ラインブリード : int
	{
		/// <summary></summary>
		親系統4本爆発SP型,

		/// <summary></summary>
		親系統4本爆発型,

		/// <summary></summary>
		親系統3本爆発SP型,

		/// <summary></summary>
		親系統3本爆発型,

		/// <summary></summary>
		子系統SP型,

		/// <summary></summary>
		子系統,

		/// <summary></summary>
		親系統SP型,

		/// <summary></summary>
		親系統,

		/// <summary></summary>
		無し,
	}

	/// <summary>
	/// ニックス配合理論
	/// </summary>
	public enum ニックス : int
	{
		/// <summary></summary>
		シングルニックス,
		/// <summary></summary>
		ダブルニックス,
		/// <summary></summary>
		トリプルニックス,
		/// <summary></summary>
		フォースニックス,
		/// <summary></summary>
		二次ニックス,
		/// <summary></summary>
		三次ニックス,
		/// <summary></summary>
		四次ニックス,
		/// <summary></summary>
		ニックス無し,
	}

	/// <summary>
	/// 血脈活性化配合配合理論
	/// </summary>
	public enum 血脈活性化配合 : int
	{
		/// <summary></summary>
		六本型,
		/// <summary></summary>
		七本型,
		/// <summary></summary>
		八本型,
		/// <summary></summary>
		無し,
	}

	/// <summary>
	/// 昇華配合配合理論
	/// </summary>
	public enum 昇華配合 : int
	{
		/// <summary></summary>
		Lv1,
		/// <summary></summary>
		Lv2,
		/// <summary></summary>
		Lv3,
		/// <summary></summary>
		無し,
	}

	/// <summary>
	/// ライン活性配合配合理論
	/// </summary>
	public enum ライン活性配合 : int
	{
		/// <summary></summary>
		メールライン活性配合Lv1,
		/// <summary></summary>
		メールライン活性配合Lv2,
		/// <summary></summary>
		メールライン活性配合Lv3,
		/// <summary></summary>
		ボトムライン活性配合Lv1,
		/// <summary></summary>
		ボトムライン活性配合Lv2,
		/// <summary></summary>
		ボトムライン活性配合Lv3,
		/// <summary></summary>
		無し,
	}

	/// <summary>
	/// 母父効果配合理論
	/// </summary>
	public enum 母父効果 : int
	{
		/// <summary>
		/// 母父○
		/// </summary>
		小,

		/// <summary>
		/// 母父◎
		/// </summary>
		大,

		/// <summary>
		/// 母父効果無し
		/// </summary>
		無し,
	}

	/// <summary>
	/// 血統タイプ
	/// </summary>
	public enum 血統タイプ : int
	{
		/// <summary></summary>
		父系,
		/// <summary></summary>
		母系,
	}

	/// <summary>
	/// 種牡馬繋養施設
	/// </summary>
	public enum 種牡馬繋養施設 : int
	{
		/// <summary></summary>
		Lv1,
		/// <summary></summary>
		Lv2,
		/// <summary></summary>
		Lv3,
		/// <summary></summary>
		無し,
	}
}
